Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression.regexp
Class Pattern

    java.lang.Object
      org.codehaus.aspectwerkz.expression.regexp.Pattern

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NamePattern, TypePattern

    public abstract class Pattern

extends Object
implements Serializable

Implements an abstract regular expression pattern matcher for AspectWerkz.

Author:
  Jonas Bonr
See Also:
  Serialized Form

Field Summary
`static Map` | `ABBREVIATIONS` Abbreviations for all the classes in the java.lang.* and the java.util.* namespaces.
`static String` | `EAGER_WILDCARD` Defines a multiple wildcard.
`static String` | `REGULAR_WILDCARD` Defines a single wildcard.

Constructor Summary
`Pattern()`

Method Summary
`static NamePattern` | `compileNamePattern(String pattern)` Compiles and returns a new name pattern.
`static TypePattern` | `compileTypePattern(String pattern, SubtypePatternType subtypePatternType)` Compiles and returns a new type pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGULAR_WILDCARD

    public static final String REGULAR_WILDCARD

  Defines a single wildcard.

  See Also:
    Constant Field Values

### EAGER_WILDCARD

    public static final String EAGER_WILDCARD

  Defines a multiple wildcard.

  See Also:
    Constant Field Values

### ABBREVIATIONS

    public static final Map ABBREVIATIONS

  Abbreviations for all the classes in the java.lang.* and the java.util.* namespaces.

Constructor Detail

### Pattern

    public Pattern()

Method Detail

### compileTypePattern

    public static TypePattern compileTypePattern(String pattern,
                                                 SubtypePatternType subtypePatternType)

  Compiles and returns a new type pattern.

  Parameters:
    `pattern` - the full pattern as a string
    `subtypePatternType` - the subtype pattern type
  Returns:
    the pattern

### compileNamePattern

    public static NamePattern compileNamePattern(String pattern)

  Compiles and returns a new name pattern.

  Parameters:
    `pattern` - the full pattern as a string
  Returns:
    the pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.